org.eclipse.rdf4j.federated.repository

## Class FedXRepositoryFactory

- java.lang.Object
- - org.eclipse.rdf4j.federated.repository.FedXRepositoryFactory

- All Implemented Interfaces:
    RepositoryFactory

      public class FedXRepositoryFactory
      extends Object
      implements RepositoryFactory

  A `RepositoryFactory` to use FedX in settings with a repository manager, e.g. in the RDF4J workbench.

  See `FedXRepositoryConfig` for the configuration.

  Author:
    Andreas Schwarte
  See Also:
    `FedXRepositoryConfig`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `log`
    `static String` | `REPOSITORY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FedXRepositoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FedXRepositoryConfig` | `getConfig()`
    `Repository` | `getRepository(RepositoryImplConfig config)` Returns a Repository instance that has been initialized using the supplied configuration data.
    `String` | `getRepositoryType()` Returns the type of the repositories that this factory creates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      See Also:
        Constant Field Values

    - #### log

          protected static final org.slf4j.Logger log

  - ### Constructor Detail

    - #### FedXRepositoryFactory

          public FedXRepositoryFactory()

  - ### Method Detail

    - #### getRepositoryType

          public String getRepositoryType()

      Description copied from interface: `RepositoryFactory`
      Returns the type of the repositories that this factory creates. Repository types are used for identification and should uniquely identify specific implementations of the Repository API. This type can be equal to the fully qualified class name of the repository, but this is not required.
      Specified by:
        `getRepositoryType` in interface `RepositoryFactory`

    - #### getConfig

          public FedXRepositoryConfig getConfig()

      Specified by:
        `getConfig` in interface `RepositoryFactory`

    - #### getRepository

          public Repository getRepository(RepositoryImplConfig config)
                                   throws RepositoryConfigException

      Description copied from interface: `RepositoryFactory`
      Returns a Repository instance that has been initialized using the supplied configuration data.
      Specified by:
        `getRepository` in interface `RepositoryFactory`
      Parameters:
        `config` - TODO
      Returns:
        The created (but un-initialized) repository.
      Throws:
        `RepositoryConfigException` - If no repository could be created due to invalid or incomplete configuration data.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.